Package org.eclipse.m2m.atl.profiler.model.impl

## Class ProfilingModelImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - org.eclipse.m2m.atl.profiler.model.impl.ProfilingInstructionImpl
        - - org.eclipse.m2m.atl.profiler.model.impl.ProfilingOperationImpl
          - - org.eclipse.m2m.atl.profiler.model.impl.ProfilingModelImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`, `ProfilingInstruction`, `ProfilingModel`, `ProfilingOperation`

    public class ProfilingModelImpl
    extends ProfilingOperationImpl
    implements ProfilingModel

An implementation of the model object 'Profiling Model'.

The following features are implemented:

- `Model Name`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

Fields
`protected static java.lang.String` `MODEL_NAME_EDEFAULT` The default value of the '`Model Name`' attribute.
`protected java.lang.String` `modelName` The cached value of the '`Model Name`' attribute.

### Fields inherited from class org.eclipse.m2m.atl.profiler.model.impl.ProfilingOperationImpl

`context, END_MEMORY_USAGE_EDEFAULT, END_TIME_EDEFAULT, endMemoryUsage, endTime, executionErrors, executionInstructions, MATCHING_OPERATION_EDEFAULT, matchingOperation, MAX_MEMORY_USAGE_EDEFAULT, maxMemoryUsage, TOTAL_EXECUTED_INSTRUCTIONS_EDEFAULT, totalExecutedInstructions`

### Fields inherited from class org.eclipse.m2m.atl.profiler.model.impl.ProfilingInstructionImpl

`atlInstruction, content, CONTENT_EDEFAULT, HAS_ERROR_EDEFAULT, hasError, INSTRUCTION_ID_EDEFAULT, instructionID, LAUNCHED_MEMORY_USAGE_EDEFAULT, LAUNCHED_TIME_EDEFAULT, launchedMemoryUsage, launchedTime, parentOperation, stackFrames`

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
`protected` `ProfilingModelImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `eGet​(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet​(int featureID)`
`void` `eSet​(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset​(int featureID)`
`java.lang.String` `getModelName()`
`void` `setModelName​(java.lang.String newModelName)`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.m2m.atl.profiler.model.impl.ProfilingOperationImpl

`eInverseRemove, getContext, getEndMemoryUsage, getEndTime, getExecutionErrors, getExecutionInstructions, getMaxMemoryUsage, getTotalExecutedInstructions, isMatchingOperation, setEndMemoryUsage, setEndTime, setMatchingOperation, setMaxMemoryUsage, setTotalExecutedInstructions`

### Methods inherited from class org.eclipse.m2m.atl.profiler.model.impl.ProfilingInstructionImpl

`basicGetAtlInstruction, basicGetParentOperation, getAtlInstruction, getContent, getInstructionID, getLaunchedMemoryUsage, getLaunchedTime, getParentOperation, getStackFrames, isHasError, setAtlInstruction, setContent, setHasError, setInstructionID, setLaunchedMemoryUsage, setLaunchedTime, setParentOperation`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.m2m.atl.profiler.model.ProfilingInstruction

`getAtlInstruction, getContent, getInstructionID, getLaunchedMemoryUsage, getLaunchedTime, getParentOperation, getStackFrames, isHasError, setAtlInstruction, setContent, setHasError, setInstructionID, setLaunchedMemoryUsage, setLaunchedTime, setParentOperation`

### Methods inherited from interface org.eclipse.m2m.atl.profiler.model.ProfilingOperation

`getContext, getEndMemoryUsage, getEndTime, getExecutionErrors, getExecutionInstructions, getMaxMemoryUsage, getTotalExecutedInstructions, isMatchingOperation, setEndMemoryUsage, setEndTime, setMatchingOperation, setMaxMemoryUsage, setTotalExecutedInstructions`

### Field Detail

#### MODEL_NAME_EDEFAULT

    protected static final java.lang.String MODEL_NAME_EDEFAULT

The default value of the '`Model Name`' attribute.

See Also:
  `getModelName()`

#### modelName

    protected java.lang.String modelName

The cached value of the '`Model Name`' attribute.

See Also:
  `getModelName()`

### Constructor Detail

#### ProfilingModelImpl

    protected ProfilingModelImpl()

### Method Detail

#### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `ProfilingOperationImpl`

#### getModelName

    public java.lang.String getModelName()

Specified by:
  `getModelName` in interface `ProfilingModel`
Returns:
  the value of the 'Model Name' attribute.
See Also:
  `ProfilingModel.setModelName(String)`, `ModelPackage.getProfilingModel_ModelName()`

#### setModelName

    public void setModelName​(java.lang.String newModelName)

Specified by:
  `setModelName` in interface `ProfilingModel`
Parameters:
  `newModelName` - the new value of the 'Model Name' attribute.
See Also:
  `ProfilingModel.getModelName()`

#### eGet

    public java.lang.Object eGet​(int featureID,
                                 boolean resolve,
                                 boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `ProfilingOperationImpl`

#### eSet

    public void eSet​(int featureID,
                     java.lang.Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `ProfilingOperationImpl`

#### eUnset

    public void eUnset​(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `ProfilingOperationImpl`

#### eIsSet

    public boolean eIsSet​(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `ProfilingOperationImpl`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `ProfilingOperationImpl`